/* このファイルは編集用です。変更を適用させる時はMinify化して.min.jsへ適用させること */
/* https://www.toptal.com/developers/javascript-minifier */

jQuery(document).ready(function($) {
$(function () {
	const display = function () {
//↓スクロール量によって表示／非表示

//スクロール量の変数を指定
	const fixContact = $('.is_fix');
	const scrollPositionTop = $(window).scrollTop();
	//PHPから受け取った値をNumberで数値に戻す
	const scrollFadein = Number(StickHeaderVal.scroll_fadein);
	const scrollFadeout = Number(StickHeaderVal.scroll_fadeout);
	const TopDistance = Number(StickHeaderVal.top_distance);

//画面上から200ピクセルを超えるときだけ表示させる
if(scrollPositionTop > TopDistance){
             fixContact.fadeIn(scrollFadein);
    } else {
            fixContact.fadeOut(scrollFadeout);
    }
    };

  $(window).on('scroll', display);

});
});